%global momorel 2
%global use_alternatives 1
%global lspp 1
%global cups_serverbin %{_exec_prefix}/lib/cups

Summary: Common Unix Printing System
Name: cups
Version: 1.3.11
Release: %{momorel}m%{?dist}
License: GPLv2
Group: System Environment/Daemons
URL: http://www.cups.org/

Source0: http://ftp.easysw.com/pub/cups/%{version}/cups-%{version}-source.tar.bz2
NoSource: 0
Source1: cups.init
Source2: cupsprinter.png
Source4: pstopdf
Source5: cups-lpd
Source6: pstoraster
Source7: pstoraster.convs
Source8: postscript.ppd.gz
Source9: cups.logrotate
Source10: ncp.backend
Source12: cups.cron
Source13: pdftops.conf
Source14: textonly.filter
Source15: textonly.ppd

Patch0: cups-1.3.9-initscript.patch
Patch1: cups-no-gzip-man.patch
Patch2: cups-1.1.16-system-auth.patch
Patch3: cups-multilib.patch
Patch4: cups-str3167.patch
Patch5: cups-get-jobs-printer-uri-relax.patch
Patch6: cups-banners.patch
Patch7: cups-serverbin-compat.patch
Patch8: cups-no-export-ssllibs.patch
Patch9: cups-paps.patch
Patch10: cups-wbuffer.patch
Patch11: cups-direct-usb.patch
Patch12: cups-lpr-help.patch
Patch13: cups-peercred.patch
Patch14: cups-pid.patch
Patch15: cups-foomatic-recommended.patch
Patch16: cups-eggcups.patch
Patch17: cups-getpass.patch
Patch18: cups-driverd-timeout.patch
Patch19: cups-strict-ppd-line-length.patch
Patch20: cups-logrotate.patch
Patch21: cups-usb-paperout.patch
Patch22: cups-getnameddest.patch
Patch23: cups-str2101.patch
Patch24: cups-str2536.patch
Patch25: cups-localhost-ipv6.patch
Patch26: cups-str3023.patch
Patch29: cups-str2831.patch
Patch100: cups-lspp.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig initscripts grep
Requires: %{name}-libs = %{version}-%{release}

%if %use_alternatives
Provides: /usr/bin/lpq /usr/bin/lpr /usr/bin/lp /usr/bin/cancel /usr/bin/lprm /usr/bin/lpstat
Prereq: chkconfig
%endif

Provides: lpddaemon

# Unconditionally obsolete LPRng so that upgrades work properly.
Obsoletes: lpd lpr LPRng
Provides: lpd lpr

BuildRequires: libpng-devel >= 1.2.2
BuildRequires: libjpeg-devel >= 6b
BuildRequires: libtiff-devel >= 3.4
BuildRequires: zlib-devel >= 1.1.4-5m
BuildRequires: gnutls-devel >= 2.4.1
BuildRequires: openssl-devel >= 0.9.8a
BuildRequires: openldap-devel >= 2.4.8
BuildRequires: pam-devel
BuildRequires: openslp-devel
BuildRequires: autoconf
BuildRequires: php-devel >= 5.2.1
BuildRequires: dbus-devel
BuildRequires: aspell-devel
BuildRequires: pcre-devel
BuildRequires: libacl-devel
BuildRequires: poppler

%if %lspp
BuildRequires: libselinux-devel >= 1.23
BuildRequires: audit-libs-devel >= 1.1
%endif

# -fstack-protector-all requires GCC 4.0.1
BuildRequires: gcc >= 4.0.1

BuildPrereq: dbus-devel >= 0.90
Requires: dbus >= 0.90

# The paps package uses pango to render UTF-8 text to PostScript.
Requires: paps >= 0.6.6

# Requires tmpwatch for the cron.daily script (bug #218901).
Requires: tmpwatch

# We use portreserve to prevent our TCP port being stolen.
# Require the package here so that we know /etc/portreserve/ exists.
Requires: portreserve

Requires: poppler

%package devel
Summary: Common Unix Printing System - development environment
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: gnutls-devel
Requires: krb5-devel
Requires: zlib-devel

%package libs
Summary: Common Unix Printing System - libraries
Group: System Environment/Libraries
License: LGPLv2

%package lpd
Summary: Common Unix Printing System - lpd emulation
Group: System Environment/Daemons
Requires: %{name} = %{version}-%{release}
Requires: xinetd

%package php
Summary: Common Unix Printing System - php module
Group: Development/Languages
Requires: %{name} = %{version}-%{release}
Requires: php-common

%description
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.

%description devel
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. This is the development package for creating
additional printer drivers, and other CUPS services.

%description libs
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. It has been developed by Easy Software Products
to promote a standard printing solution for all UNIX vendors and users.
CUPS provides the System V and Berkeley command-line interfaces.
The cups-libs package provides libraries used by applications to use CUPS
natively, without needing the lp/lpr commands.

%description lpd
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. This is the package that provices standard
lpd emulation.

%description php
The Common UNIX Printing System provides a portable printing layer for
UNIX(R) operating systems. This is the package that provices a PHP
module. 

%prep
%setup -q
%patch0 -p1 -b .noinit
%patch1 -p1 -b .no-gzip-man
%patch2 -p1 -b .system-auth
%patch3 -p1 -b .multilib
%patch4 -p1 -b .str3167
%patch5 -p1 -b .get-jobs-printer-uri-relax
%patch6 -p1 -b .banners
%patch7 -p1 -b .serverbin-compat
%patch8 -p1 -b .no-export-ssllibs
%patch9 -p1 -b .paps
%patch10 -p1 -b .wbuffer
%patch11 -p1 -b .direct-usb
%patch12 -p1 -b .lpr-help
%patch13 -p1 -b .peercred
%patch14 -p1 -b .pid
%patch15 -p1 -b .foomatic-recommended
%patch16 -p1 -b .eggcups
%patch17 -p1 -b .getpass
%patch18 -p1 -b .driverd-timeout
%patch19 -p1 -b .strict-ppd-line-length
%patch20 -p1 -b .logrotate
%patch21 -p1 -b .usb-paperout
%patch22 -p1 -b .getnameddest
%patch23 -p1 -b .str2101
%patch24 -p1 -b .str2536
%patch25 -p1 -b .localhost-ipv6
%patch26 -p1 -b .str3023
%patch29 -p1 -b .str2831

%if %lspp
%patch100 -p1 -b .lspp
%endif

sed -i -e '1iMaxLogSize 0' conf/cupsd.conf.in

cp %{SOURCE5} cups-lpd.real
perl -pi -e "s,\@LIBDIR\@,%{_libdir},g" cups-lpd.real

# Let's look at the compilation command lines.
perl -pi -e "s,^.SILENT:,," Makedefs.in

%build
export CFLAGS="-DLDAP_DEPRECATED=1"
%configure --with-docdir=%{_datadir}/%{name}/www \
	--with-optim="$RPM_OPT_FLAGS $CFLAGS -fstack-protector-all" \
%if %lspp
	--enable-lspp \
%endif
	--with-log-file-perm=0600 --enable-pie --enable-relro \
	--enable-pdftops --with-pdftops=pdftops \
	--with-dbusdir=%{_sysconfdir}/dbus-1 \
	--with-php=/usr/bin/php-cgi \
	localedir=%{_datadir}/locale

# If we got this far, all prerequisite libraries must be here.
%make

%install
rm -rf %{buildroot}

make BUILDROOT=%{buildroot} install

# Serial backend needs to run as root (bug #212577).
chmod 700 %{buildroot}%{cups_serverbin}/backend/serial

rm -rf	%{buildroot}%{_sysconfdir}/rc.d/init.d \
	%{buildroot}%{_sysconfdir}/init.d \
	%{buildroot}%{_sysconfdir}/rc?.d
mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}/cups

find %{buildroot}%{_datadir}/cups/model -name "*.ppd" |xargs gzip -n9f

%if %use_alternatives
pushd %{buildroot}%{_bindir}
for i in cancel lp lpq lpr lprm lpstat; do
	mv $i $i.cups
done
cd %{buildroot}%{_sbindir}
mv lpc lpc.cups
cd %{buildroot}%{_mandir}/man1
for i in cancel lp lpq lpr lprm lpstat; do
	mv $i.1 $i-cups.1
done
cd %{buildroot}%{_mandir}/man8
mv lpc.8 lpc-cups.8
popd
%endif

mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_sysconfdir}/X11/sysconfig
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/System
mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -c -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps
install -c -m 644 cups-lpd.real %{buildroot}%{_sysconfdir}/xinetd.d/cups-lpd
install -c -m 644 %{SOURCE9} %{buildroot}%{_sysconfdir}/logrotate.d/cups
install -c -m 755 %{SOURCE10} %{buildroot}%{cups_serverbin}/backend/ncp
install -c -m 755 %{SOURCE12} %{buildroot}%{_sysconfdir}/cron.daily/cups
install -c -m 644 %{SOURCE13} %{buildroot}%{_sysconfdir}/cups/pdftops.conf
install -c -m 755 %{SOURCE14} %{buildroot}%{cups_serverbin}/filter/textonly
install -c -m 644 %{SOURCE15} %{buildroot}%{_datadir}/cups/model/textonly.ppd

# Ship pstopdf for LSPP systems to deal with malicious postscript
%if %lspp
install -c -m 755 %{SOURCE4} %{buildroot}%{cups_serverbin}/filter
%endif

# Ship pstoraster (bug #69573).
install -c -m 755 %{SOURCE6} %{buildroot}%{cups_serverbin}/filter
install -c -m 644 %{SOURCE7} %{buildroot}%{_sysconfdir}/cups

# Ship a generic postscript PPD file (#73061)
install -c -m 644 %{SOURCE8} %{buildroot}%{_datadir}/cups/model

# Ship a printers.conf file, and a client.conf file.  That way, they get
# their SELinux file contexts set correctly.
touch %{buildroot}%{_sysconfdir}/cups/printers.conf
touch %{buildroot}%{_sysconfdir}/cups/classes.conf
touch %{buildroot}%{_sysconfdir}/cups/client.conf
touch %{buildroot}%{_sysconfdir}/cups/subscriptions.conf

# This is %%ghost'ed, but needs to be created in %%install anyway.
touch %{buildroot}%{_sysconfdir}/cups/lpoptions

# LSB 3.2 printer driver directories
mkdir -p %{buildroot}%{_datadir}/ppd
ln -s ../../ppd %{buildroot}%{_datadir}/cups/model/3-distribution

# Tell portreserve which port we want it to protect.
mkdir -p %{buildroot}%{_sysconfdir}/portreserve
echo ipp > %{buildroot}%{_sysconfdir}/portreserve/%{name}

# Handle https:// device URIs (bug #478677, STR #3122).
ln -s ipp %{buildroot}%{cups_serverbin}/backend/https

# Disable Host: checking by default for compatibility.  The
# ServerAlias directive was added in 1.3.10.
for suffix in conf conf.default; do
  cat <<"EOF" >> %{buildroot}%{_sysconfdir}/cups/cupsd."$suffix"

# You should list each hostname alias used for this server so that it
# can verify the correct name is used for it.  Using "ServerAlias *"
# disables checking.
ServerAlias *
EOF
done

# Remove unshipped files.
rm -rf %{buildroot}%{_mandir}/cat? %{buildroot}%{_mandir}/*/cat?
rm -f %{buildroot}%{_datadir}/applications/cups.desktop
rm -rf %{buildroot}%{_datadir}/icons

%post
/sbin/chkconfig --del cupsd 2>/dev/null || true # Make sure old versions aren't there anymore
/sbin/chkconfig --add cups || true
# Remove old-style certs directory; new-style is /var/run
# (see bug #194581 for why this is necessary).
/bin/rm -rf /etc/cups/certs
%if %use_alternatives
/usr/sbin/alternatives --install %{_bindir}/lpr print %{_bindir}/lpr.cups 40 \
	 --slave %{_bindir}/lp print-lp %{_bindir}/lp.cups \
	 --slave %{_bindir}/lpq print-lpq %{_bindir}/lpq.cups \
	 --slave %{_bindir}/lprm print-lprm %{_bindir}/lprm.cups \
	 --slave %{_bindir}/lpstat print-lpstat %{_bindir}/lpstat.cups \
	 --slave %{_bindir}/cancel print-cancel %{_bindir}/cancel.cups \
	 --slave %{_sbindir}/lpc print-lpc %{_sbindir}/lpc.cups \
	 --slave %{_mandir}/man1/cancel.1.bz2 print-cancelman %{_mandir}/man1/cancel-cups.1.bz2 \
	 --slave %{_mandir}/man1/lp.1.bz2 print-lpman %{_mandir}/man1/lp-cups.1.bz2 \
	 --slave %{_mandir}/man8/lpc.8.bz2 print-lpcman %{_mandir}/man8/lpc-cups.8.bz2 \
	 --slave %{_mandir}/man1/lpq.1.bz2 print-lpqman %{_mandir}/man1/lpq-cups.1.bz2 \
	 --slave %{_mandir}/man1/lpr.1.bz2 print-lprman %{_mandir}/man1/lpr-cups.1.bz2 \
	 --slave %{_mandir}/man1/lprm.1.bz2 print-lprmman %{_mandir}/man1/lprm-cups.1.bz2 \
	 --slave %{_mandir}/man1/lpstat.1.bz2 print-lpstatman %{_mandir}/man1/lpstat-cups.1.bz2 \
	 --initscript cups
%endif
if [ $1 -eq 1 ]; then
  # First install.  Build ppds.dat.
  /sbin/service cups reload >/dev/null 2>&1 || :
fi
exit 0

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%preun
if [ "$1" = "0" ]; then
	/sbin/service cups stop > /dev/null 2>&1
	/sbin/chkconfig --del cups
%if %use_alternatives
        /usr/sbin/alternatives --remove print %{_bindir}/lpr.cups
%endif
fi
exit 0

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service cups condrestart > /dev/null 2>&1
fi
exit 0

%triggerin -- samba-client
ln -sf ../../../bin/smbspool %{cups_serverbin}/backend/smb || :
exit 0

%triggerun -- samba-client
[ $2 = 0 ] || exit 0
rm -f %{cups_serverbin}/backend/smb

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt CREDITS.txt CHANGES.txt
%dir %attr(0755,root,lp) /etc/cups
%dir %attr(0755,root,lp) /var/run/cups
%dir %attr(0511,lp,sys) /var/run/cups/certs
%config(noreplace) %attr(0640,root,lp) /etc/cups/cupsd.conf
%attr(0640,root,lp) /etc/cups/cupsd.conf.default
%config(noreplace) %attr(0644,root,lp) /etc/cups/client.conf
%config(noreplace) %attr(0600,root,lp) /etc/cups/classes.conf
%config(noreplace) %attr(0600,root,lp) /etc/cups/printers.conf
%config(noreplace) %attr(0644,root,lp) /etc/cups/pdftops.conf
%config(noreplace) %attr(0644,root,lp) /etc/cups/snmp.conf
%config(noreplace) %attr(0644,root,lp) /etc/cups/subscriptions.conf
/etc/cups/interfaces
%config(noreplace) /etc/cups/mime.types
%config(noreplace) /etc/cups/mime.convs
%config(noreplace) %attr(0644,root,lp) /etc/cups/lpoptions
%dir %attr(0755,root,lp) /etc/cups/ppd
%dir %attr(0700,root,lp) /etc/cups/ssl
/etc/cups/pstoraster.convs
%config(noreplace) /etc/pam.d/cups
%config(noreplace) %{_sysconfdir}/logrotate.d/cups
%config(noreplace) %{_sysconfdir}/portreserve/%{name}
%dir %{_datadir}/%{name}/www
%config(noreplace) %{_datadir}/%{name}/www/favicon.*
%config(noreplace) %{_datadir}/%{name}/www/images
%config(noreplace) %{_datadir}/%{name}/www/de
%config(noreplace) %{_datadir}/%{name}/www/es
%config(noreplace) %{_datadir}/%{name}/www/et
%config(noreplace) %{_datadir}/%{name}/www/fr
%config(noreplace) %{_datadir}/%{name}/www/he
%config(noreplace) %{_datadir}/%{name}/www/id
%config(noreplace) %{_datadir}/%{name}/www/it
%config(noreplace) %{_datadir}/%{name}/www/ja
%config(noreplace) %{_datadir}/%{name}/www/pl
%config(noreplace) %{_datadir}/%{name}/www/sv
%config(noreplace) %{_datadir}/%{name}/www/zh_TW
%config(noreplace) %{_datadir}/%{name}/www/*.css
%config(noreplace) %doc %{_datadir}/%{name}/www/index.html
%config(noreplace) %doc %{_datadir}/%{name}/www/help
%config(noreplace) %doc %{_datadir}/%{name}/www/robots.txt
%config(noreplace) %{_initscriptdir}/cups
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%{_bindir}/cancel*
%{_bindir}/lp*
%dir %{cups_serverbin}
%{cups_serverbin}/backend
%{cups_serverbin}/cgi-bin
%dir %{cups_serverbin}/daemon
%{cups_serverbin}/daemon/cups-polld
%{cups_serverbin}/daemon/cups-deviced
%{cups_serverbin}/daemon/cups-driverd
%{cups_serverbin}/notifier
%{cups_serverbin}/filter
%{cups_serverbin}/monitor
%{cups_serverbin}/driver
%{_mandir}/man?/*
%{_sbindir}/*
%dir %{_datadir}/cups
%dir %{_datadir}/cups/banners
%config(noreplace) %{_datadir}/cups/banners/*
%{_datadir}/cups/charsets
%{_datadir}/cups/charmaps
%{_datadir}/cups/data
%{_datadir}/cups/fonts
%{_datadir}/cups/model
%dir %{_datadir}/cups/templates
%dir %{_datadir}/cups/templates/de
%dir %{_datadir}/cups/templates/es
%dir %{_datadir}/cups/templates/et
%dir %{_datadir}/cups/templates/fr
%dir %{_datadir}/cups/templates/he
%dir %{_datadir}/cups/templates/id
%dir %{_datadir}/cups/templates/it
%dir %{_datadir}/cups/templates/ja
%dir %{_datadir}/cups/templates/pl
%dir %{_datadir}/cups/templates/sv
%dir %{_datadir}/cups/templates/zh_TW
%config(noreplace) %{_datadir}/cups/templates/*.tmpl
%config(noreplace) %{_datadir}/cups/templates/*/*.tmpl
%{_datadir}/locale/*/*
%{_datadir}/ppd
%dir %attr(1770,root,lp) /var/spool/cups/tmp
%dir %attr(0710,root,lp) /var/spool/cups
%dir %attr(0755,lp,sys) /var/log/cups
%{_datadir}/pixmaps/cupsprinter.png
%{_sysconfdir}/cron.daily/cups
%{_sysconfdir}/dbus-1/system.d/cups.conf

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/cups-config
%{_libdir}/*.so
%{_includedir}/cups

%files lpd
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%{cups_serverbin}/daemon/cups-lpd

%files php
%defattr(-,root,root)
%{_libdir}/php/modules/*.so

%changelog
* Sun Jul 19 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.3.11-2m)
- stop daemon

* Sun Jul 12 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.11-1m)
- update to 1.3.11

* Sat Jun 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-3m)
- use portreserve
- cleanup specfile

* Wed May  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-2m)
- fix cups_serverbin on x86_64

* Wed May  6 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.10-1m)
- [SECURITY] CVE-2009-0146 CVE-2009-0147 CVE-2009-0163 CVE-2009-0164
- [SECURITY] CVE-2009-0165 CVE-2009-0166 CVE-2009-0195 CVE-2009-0799
- [SECURITY] CVE-2009-0800 CVE-2009-0949 CVE-2009-1179 CVE-2009-1180
- [SECURITY] CVE-2009-1181 CVE-2009-1182 CVE-2009-1183
- partially sync with Fedora 10 (1:1.3.10-4)

* Sat Mar 28 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-5m)
- do not specify man file compression format

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-4m)
- rebuild against rpm-4.6

* Sun Dec 28 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-3m)
- [SECURITY] CVE-2008-5183
- import a security patch (Patch31) from Fedora 10 (1:1.3.9-4)
- drop Patch29, merged upstream
- update Patch1,9,13,100,1000 for fuzz=0

* Sat Dec  6 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.3.9-2m)
- [SECURITY] CVE-2008-5286
- import a security patch (Patch30) from http://www.cups.org/str.php?L2974

* Wed Oct 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.9-1m)
- [SECURITY] CVE-2008-3639 CVE-2008-3640 CVE-2008-3641
- update to 1.3.9

* Thu Aug  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.8-1m)
- [SECURITY] CVE-2008-1722 CVE-2008-5184
- update to 1.3.8

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.7-2m)
- rebuild against gnutls-2.4.1

* Mon Apr  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.7-1m)
- [SECURITY] CVE-2008-1373 CVE-2008-1374
- update to 1.3.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.6-5m)
- rebuild against gcc43

* Wed Mar 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-4m)
- ship pstoraster, thanks, pm890c and JW

* Tue Feb 26 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.6-3m)
- rebuild against openldap-2.4.8

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.3.6-2m)
- fix gcc-4.3

* Thu Feb 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.6-1m)
- [SECURITY] CUPS "process_browse_data()" Double Free Vulnerability
- update to 1.3.6

* Wed Dec 19 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.5-1m)
- [SECURITY] CUPS Backend SNMP Remote Stack Overflow Vulnerability
- update to 1.3.5

* Fri Nov  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.4-1m)
- [SECURITY] CVE-2007-4351
- update to 1.3.4

* Sun Sep 30 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.3-1m)
- update to 1.3.3

* Thu Sep 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.2-1m)
- update to 1.3.2

* Sun Sep  9 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-2m)
- revise path to cups-lpd for x86_64
- thanks to http://pc11.2ch.net/test/read.cgi/linux/1188293074/33
- do not use %%NoSource macro

* Sat Aug 18 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3.0-1m)
- update to 1.3.0

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.3-0.2.1m)
- update to 1.3rc2
- remove some patches (17,18,22,24)
- add patch15 (import from FC)
- update some patches (8,11,19,25,100) 
- sync with FC-devel

* Sat Jul 28 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.2.12-1m)
- update to 1.2.12
- update patch18 (cups-directed-broadcast.patch)

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.11-4m)
- disable service at initial start up

* Sat Jun 16 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.11-3m)
- change cups_serverbin %%{_exec_prefix}/lib/cups to %%{_libdir}/cups
- revive cups-1.2.6-lib64.patch

* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.11-2m)
- remove %%{cups_serverbin}/filter/pstoraster, it's already provided by
  ghostscript-cups and pstoraster of ghostscript-cups(v 1.6) is newer than
  pstoraster of cups (v 1.3)

* Fri Jun 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.2.11-1m)
- [SECURITY] CVE-2007-0720 (fixed on 1.2.9)
- sync FC-devel

* Sun Apr 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.7-4m)
- rebuild against php-5.2.1

* Mon Mar 26 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.2.7-3m)
- use gnutls instead of openssl; openssl is no longer required.
- rebuild against gnutls-1.4.2-2m

* Sun Jan  7 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.2.7-2m)
- add BuildPrereq: php-devel, dbus-devel

* Mon Nov 20 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.7-1m)
- update to 1.2.7

* Mon Nov 20 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.2.6-2m)
- add lib64 patch

* Tue Nov 07 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6
- unappliable patches are commented out

* Sat Jul 22 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.23-10m)
- disable cups-RunAsUser.patch

* Sat Jul 22 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.23-9m)
- import cups-1.1.23-image-png.patch from gentoo-x86-portage
 +- 03 Jul 2006; Stefan Schweizer <genstef@gentoo.org>
 +  +files/cups-1.1.23-image-png.patch, cups-1.1.23-r7.ebuild:
 +  libpng >=1.2.10 compat thanks to kojiro in bug 136346

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.23-8m)
- rebuild against openssl-0.9.8a

* Tue Nov  8 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.23-7m)
- add gcc4 patch
- Patch200: cups-1.1.23-gcc4.patch

* Tue May 17 2005 mutecat <mutecat@momonga-linux.org>
- (1.1.23-6m)
- add cups-1.1.19-charset.patch from turbo with arrange
- update cups-extradoc

* Wed Mar  9 2005 zunda <zunda at freeshell.org>
- (1.1.23-5m)
- cupsd.cond: using basic authentication better to reduce FAQs,
  /etc/cups is still owned by lp for users who want to use digest
  authentication.

* Tue Mar  8 2005 zunda <zunda at freeshell.org>
- (1.1.23-4m)
- cupsd.conf: use digest authentication instead of basic authentication
- /etc/cups is now owned by lp and /etc/cups/passwd.md5 touched for lppasswd

* Fri Feb 25 2005 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1.23-3m)
- revise pam file to support multilib
- cupsd now uses pam authentication
  (root or lp group users can be permitted)

* Wed Jan 19 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.23-2m)
- fix 64bit security issues
 Patch2: xpdf-goo-sizet.patch (SUSE?)
 Patch3: cups-1.1.22-xpdf2-underflow.patch (gentoo cvs)
- fix CAN-2005-0064
 Patch4: cups-CAN-2005-0064.patch (xpdf-3.00pl3.patch)

* Mon Jan 10 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.23-1m)
- fix CAN-2004-1125, CAN-2004-1267, CAN-2004-1268, CAN-2004-1269, and CAN-2004-1270

* Sun Nov 28 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.1.22-2m)
- Change URL

* Thu Nov 11 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.1.22-1m)
- update to 1.1.22

* Fri Aug 20 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.1.21rc1-3m)
- change cups-RunAsUser.patch (like SUSE)

* Sat Jul  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.21rc1-2m)
- stop daemon

* Fri Jun 18 2004 kourin <kourin@fh.freeserve.ne.jp>
- (1.1.21rc1-1m)
- update to 1.1.21rc1

* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.19-11m)
- revised spec for enabling rpm 4.2.

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.19-10m)
- pretty spec file.

* Fri Aug  1 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-10m)
- fix RunAsUser...

* Thu Jul 31 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-9m)
- add pap backend (obtained from Mandrake)
- set default group to "lp" instead of "sys"
- add cups-RunAsUser.patch to run cupsd as ordinary user (not root)
- fix typo (s/linsten/listen/)

* Wed Jul 23 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.19-8m)
- use .png images instead of .gif images

* Wed Jul 23 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-7m)
- [IMPORTANT] Make cupsd listen(2) only localhost by default.
  To make cupsd accept connections from outside,
  "Listen" directive in /etc/cupsd.conf must be changed
  (and "Allow","Deny" directives too, of course).
- according to http://www.cups.org/str.php?L196,
  pdftops reads /etc/cups/pdftops.conf instead of /etc/xpdfrc,
  so make a symlink from /etc/xpdfrc to /etc/cups/pdftops.conf and
  remove cups-1.1.19-xpdfrc.patch.
- make %{_sysconfdir}/cups/mime.* be replacable
  (normally these files are not edited by hand)
- add %{_var}/log/cups to %%files
- use redhat's initscript (cups.init)
- add xinetd file for cups-lpd
- import config file for logrotate (cups.logrotate) from redhat
- do not own %{_sysconfdir}/pam.d
- add more documents

* Sun Jul 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-6m)
- update cups-extradoc to 1.1.19
  (obtained from CVS at bazaar.turbolinux.co.jp)
- add %%{_bindir}/cupstestppd
- run /sbin/ldconfig at %%post and %%postun section of -libs
- use %%make and %%makeinstall

* Sun Jul 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.19-5m)
- rebuild against glibc-2.3.2

* Wed Jun 25 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-4m)
- add cups-1.1.19-xpdfrc.patch to make pdftops read /etc/xpdfrc

* Tue Jun 24 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.19-3m)
- modify %%post and %%preun sections
  (do not run chkconfig --del on upgrade)

* Tue Jun 17 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.19-2m)
  don't remade gif images.

* Wed May 28 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.1.19-1m)
  update to 1.1.19

* Fri May 23 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.1.18-5m)
- enable slp
- %%{?_smp_mflags}
- add Japanese resource

* Tue Apr 08 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.18-4m)
- rebuild against zlib 1.1.4-5m

* Sat Mar 22 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.18-3m)
- make symbolic link for printing via samba
  (requested by nosanosa [Momonga-devel.ja:01495])
- cups-devel: add %%{release} to Requires:

* Thu Mar 20 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.1.18-2m)
- make subpackage "libs"
- move from Zoo to Main
- do not include cat pages
- remove pstoraster subpackage

* Sat Mar 15 2003 Kikutani Makoto <poo@momonga-linux.org>
- (1.1.18-1m)
- new upstream version
- require ghostscript-cups

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.1.14-4k)
- rebuild against libpng 1.2.2.

* Thu Mar 14 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.1.14-2k)
  merge from STABLE_2_1(by zaki <zaki@kondara.org>)
  update to 1.1.14 (buffer overflow fixed version)
  http://online.securityfocus.com/bid/4100

* Sat Jan 12 2002 OZAWA -Crouton- Sakuro <crouton@kondara.org>
- (1.1.10-12k)
- Removed Packager and Vendotr tag.

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.10-10k)
- devel reqs main

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- (1.1.10-8k)
- nigirisugi

* Tue Oct 30 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.1.10-6k)
- modify deffattr problem

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (1.1.10-4k)
- rebuild against libpng 1.2.0.
